%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Net-Daemon
Version:       0.49
Release:       1mamba
Summary:       Net::Daemon - Perl extension for portable daemons
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        https://cpan.metacpan.org/modules/by-module/Net/Net-Daemon-%{version}.tar.gz
License:       GPL, Artistic
Requires:      perl >= %perl_major_ver
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END

%description
Net::Daemon is an abstract base class for implementing portable server applications in a very simple way.
The module is designed for Perl 5.005 and threads, but can work with fork() and Perl 5.004.

The Net::Daemon class offers methods for the most common tasks a daemon needs: 
Starting up, logging, accepting clients, authorization, restricting its own environment for security and doing the true work.
You only have to override those methods that aren't appropriate for you, but typically inheriting will safe you a lot of work anyways.

%prep
%setup -q -n Net-Daemon-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
#% make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Sun May 16 2021 Automatic Build System <autodist@mambasoft.it> 0.49-1mamba
- automatic version update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.44-2mamba
- perl 5.16 mass rebuild

* Thu Feb 24 2011 Automatic Build System <autodist@mambasoft.it> 0.44-1mamba
- automatic update by autodist

* Thu Nov 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.43-3mamba
- automatic rebuild by autodist

* Thu Nov 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.43-2mamba
- automatic rebuild by autodist

* Sat May 31 2008 gil <puntogil@libero.it> 0.43-1mamba
-  update to version 0.43 by autospec

* Wed Mar 08 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 0.39-1qilnx
- update to version 0.39 by autospec
- architecture changed to noarch
- fixed license

* Tue Feb 01 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.38-2qilnx
- rebuilt due to perl version check problems with apt

* Mon Oct 25 2004 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.38-1qilnx
- package created by autospec (rebuilt after SRPM loss)